Subject: bug#50103: Pulseaudio doesn't export XDG_CONFIG_DIRS

From: Leo Prikler <[email-masked]>
Date: Wed, 18 Aug 2021 10:03:11 +0200

Hi John,

a lot of packages would do much better if they exported
XDG_CONFIG_DIRS.  However, there is currently no way of doing so other
than copypasting the same snippet over and over and over and over.  A
workaround -- if you need this in an environment -- is to also include
a package, that already has a search path on XDG_CONFIG_DIRS, like glib
(I think glib:bin works too).

I recently tried exporting XDG_CONFIG_DIRS as a variable from one
module, so that it can be referenced in others, but that led to a weird
recursive errors.  It would be nice to find a good way of doing that,
though.

Regards